#ifndef BBCmd_THREAD_H
#define BBCmd_THREAD_H

#include "BBCmd.h"


/**
 * Return new `thread' command which has `command',
 * or return NULL if this function failed.
 *
 * If this function succeeded, `command' will be owned by returned command.
 * So the caller must not delete it.
 */
BBCmdCommand* BBCmdThreadCommand_New(BBCmdCommand* command);


#endif
