#ifndef BBCmd__MALLOC_H
#define BBCmd__MALLOC_H

#include <stddef.h>


int _BBCmd_allocating_count(void);

void* _BBCmd_malloc(size_t);
void _BBCmd_free(void*);
void* _BBCmd_realloc(void*, size_t);
char* _BBCmd_strdup(const char* const);
/* _calloc not implemented */

#define malloc _BBCmd_malloc
#define free _BBCmd_free
#define realloc _BBCmd_realloc
#define strdup _BBCmd_strdup
#define calloc _BBCmd_c@lloc


#endif
